Search processing.org:

Reference for Processing version 1.0.1+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name

### createImage()

Examples

    PImage img = createImage(66, 66, RGB);
    for(int i=0; i < img.pixels.length; i++) {
      img.pixels[i] = color(0, 90, 102);
    }
    image(img, 17, 17);

    PImage img = createImage(66, 66, ARGB);
    for(int i=0; i < img.pixels.length; i++) {
      img.pixels[i] = color(0, 90, 102, i % img.width * 2);
    }
    image(img, 17, 17);
    image(img, 34, 34);

Description

Creates a new PImage (the datatype for storing images). This provides a fresh buffer of pixels to play with. Set the size of the buffer with the width and height parameters. The format parameter defines how the pixels are stored. See the PImage reference for more information.
Be sure to include all three parameters, specifying only the width and height (but no format) will produce a strange error.
Advanced users please note that createImage() should be used instead of the syntax `new PImage()`.

Syntax

    createImage(width, height, format)

Parameters

width | int: width in pixels
height | int: height in pixels
format | Either RGB, ARGB, ALPHA (grayscale alpha channel)

Returns | PImage or null
Usage | Web & Application
Related | PImage PGraphics

Updated on November 22, 2008 08:39:25pm PST